Skip to content

Get OTT status (v1)
deprecated

Request

This endpoint is deprecated. Use the new endpoint to get status of a one time token instead.

Retrieve necessary information to clear a OTT.

Security
UserToken
Headers
One-Time-Tokenstringrequired

Text value of a OTT.

X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
curl -i -X GET \
  https://api.wise.com/v1/identity/one-time-token/status \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'One-Time-Token: string' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479'

Responses

One time token status.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
oneTimeTokenPropertiesobject

Properties of the one time token.

Response
{ "oneTimeTokenProperties": { "oneTimeToken": "9f5f5812-2609-4e48-8418-b64437c0c7cd", "challenges": [ {} ], "validity": 3600, "actionType": "BALANCE__GET_STATEMENT", "userId": 6146956 } }